POST Search custom objects
POST /custom_objects_search/{object_type}
Operation ID: Search custom objects. Tags: custom_objects_search. Security: oauth2_application.
Search resource for custom objects in scope of a specific custom object type.
The custom object search document contains a search object that allows filtering on various attributes.
The query attribute specifies a complex query that can be used to narrow down the search. These are the list of searchable attributes:
-
key_value_string - String
-
key_value_integer - Integer
-
creation_date - Date
-
last_modified - Date
-
site_id - String
-
any custom attribute
Note that only searchable attributes can be used in sorting.
This endpoint may return the following faults:
- 400 - TypeMissmatchException - Indicates that the value to search with does not match the type of the search field.
- 404 - ObjectTypeNotFoundException - In case of an unknown object type.
Parameters
object_type(path, string, required) ID of the object type to search objects for
Minimum length: 1.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- 400
TypeMissmatchException- Indicates that the value to search with does not match the type of the search field.Media type:
application/json, text/xml. Schema:fault. - 404
ObjectTypeNotFoundException- In case of an unknown object type.Media type:
application/json, text/xml. Schema:fault. - default
Media type:
application/json, text/xml. Schema:custom_object_search_result.